import React from "react";
import { FormControls } from "../../types";
import { controlProps } from "../../types/controlProps";
export interface IProps {
    controlProps?: controlProps;
    error?: string;
    iconType: string;
    loading: boolean;
    onSubmit: (formControls: FormControls) => void;
}
export interface IIcon {
    [key: string]: React.ReactNode;
}
declare const FormFooter: ({ controlProps, error, iconType, loading, onSubmit, }: IProps) => import("react/jsx-runtime").JSX.Element;
export default FormFooter;
