import { DetailedHTMLProps, InputHTMLAttributes } from "react";
import type { controlProps } from "../../types/controlProps";
import { InputFormControl, OnChangeValueType } from "../../types";
export interface IProps extends DetailedHTMLProps<InputHTMLAttributes<HTMLInputElement>, HTMLInputElement> {
    id: string;
    control: InputFormControl;
    controlProps?: controlProps;
    objectPathId?: string;
    onChangeValue: (newProperties: OnChangeValueType) => void;
}
declare const Password: ({ onChangeValue, controlProps, ...props }: IProps) => import("react/jsx-runtime").JSX.Element;
export default Password;
