import React from "react";
export type MenuItem = {
    name: string;
    icon: string;
};
interface IMenuProps {
    children: React.ReactNode;
    menuItems: MenuItem[];
    activeMenuItemIndex: number;
    onActiveMenuItemIndex: (key: number) => void;
}
declare const Menu: ({ children, menuItems, activeMenuItemIndex, onActiveMenuItemIndex, }: IMenuProps) => import("react/jsx-runtime").JSX.Element;
export default Menu;
